## org.apache.batik.transcoder.svg2svg
Class OutputManager.NameInfo

    java.lang.Object
      org.apache.batik.transcoder.svg2svg.OutputManager.NameInfo

Enclosing class:
  OutputManager

    public static class OutputManager.NameInfo

extends java.lang.Object

To store the informations about a name.

Field Summary
`char[]` `name` The name.
`char[]` `space1` The space before the name.
`char[]` `space2` The space after the name

Constructor Summary
`OutputManager.NameInfo(char[] sp1, char[] nm, char[] sp2)` Creates a new NameInfo.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### space1

    public char[] space1

  The space before the name.

### name

    public char[] name

  The name.

### space2

    public char[] space2

  The space after the name

Constructor Detail

### OutputManager.NameInfo

    public OutputManager.NameInfo(char[] sp1,
                                  char[] nm,
                                  char[] sp2)

  Creates a new NameInfo.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.